Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSUnifiedPortalMeetingInfo Class Reference

Meeting info returned by Unified Portal. More...

`#import <CSUnifiedPortalMeetingInfo.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithPortalToken:serviceGatewayURL:uccpURL:mediaType:webCollaborationServiceEnabled:extraProperties:

## Properties
NSString * | portalToken
| Correlation token provided by Unified Portal. More...
NSURL * | serviceGatewayURL
| The Service Gateway (ESG) URL. More...
NSURL * | uccpURL
| The URL of the UCCS server. More...
CSMeetingMediaType | mediaType
| The media type of the meeting. More...
BOOL | webCollaborationServiceEnabled
| A Boolean value indicating whether Web Collaboration Service is enabled for this meeting. More...
NSDictionary * | extraProperties
| A dictionary of extra properties the application may be interested in. More...

## Detailed Description

Meeting info returned by Unified Portal.

Shall be used to populate

See also
  CSCallCreationInfo when creating HTTP Meet-me conference call.

## Method Documentation

- (instancetype) initWithPortalToken: |  | (NSString *) | portalToken
serviceGatewayURL: |  | (NSURL *) | serviceGatewayURL
uccpURL: |  | (NSURL *) | uccpURL
mediaType: |  | (CSMeetingMediaType) | mediaType
webCollaborationServiceEnabled: |  | (BOOL) | webCollaborationServiceEnabled
extraProperties: |  | (NSDictionary *) | extraProperties

## Property Documentation

- (NSDictionary*) extraProperties
| read nonatomic assign

A dictionary of extra properties the application may be interested in.

Complex property values are JSON-encoded strings.

- (CSMeetingMediaType) mediaType
| read nonatomic assign

The media type of the meeting.

- (NSString*) portalToken
| read nonatomic copy

Correlation token provided by Unified Portal.

- (NSURL*) serviceGatewayURL
| read nonatomic copy

The Service Gateway (ESG) URL.

- (NSURL*) uccpURL
| read nonatomic copy

The URL of the UCCS server.

This allows application to establish conference in presentation only mode.

- (BOOL) webCollaborationServiceEnabled
| read nonatomic assign

A Boolean value indicating whether Web Collaboration Service is enabled for this meeting.

The documentation for this class was generated from the following file:

- CSUnifiedPortalMeetingInfo.h